1. Card Payments
  • API Docs Colombia 🇨🇴
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
        POST
      • Make a charge or deferred charge
        POST
      • Create payment (tokenless)
        POST
      • Void a transaction
        DELETE
      • Refund a transaction
        DELETE
      • Request deferred options
        GET
      • Authorize payments
        POST
      • Preauthorization (tokenless)
        POST
      • Reauthorize payments
        POST
      • Capture an authorized payment
        POST
      • Verify Account
        POST
      • Validate OTP
        POST
      • Bin Info
        GET
      • BIN info V2
        GET
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Make an One-click payment
      • Update recurring charge card data
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Authorize payments
      • Capture an authorized payment
      • Get recurring charge Info
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer in
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Transfer out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • CASH-IN
      • Request a cash in token
      • Init Transaction
      • Transaction Status
      • Delete a cash in transaction
      • Update a cash in transaction
    • Cash-out
      • Request a cash out token
      • Init Transaction
      • Transaction Status
      • Update a cash out transaction
      • Delete a cash out transaction
    • Smartlinks-v2
      • Create a Smartlink
      • Get a Smartlink
      • Update a Smartlink
      • Delete a smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Gateway-status
      • Get gateway status
      • Get platform status
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Advanced search
      • Delete credential
      • Regenerate a credential
      • Activate or deactivate
      • Update credential
    • Payment Button
      • Create a payment button
    • Settlement
      • Query settlement
    • Subscription Transactions
      • Get subscription transactions
  • Kushki One
    • Cloud Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
        • Transaction Search
      • Print
        • Create Print Job
        • Get Print Job Status
    • Local Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
        • Transaction Search — Online
        • Transaction Search — Local
      • Print
        • Create Print Job
        • Get Print Job Status
        • Print Job Webhook (inbound — implemented by your POS)
  • API RAW CARD PRESENT PAYMENTS
    • Release Notes
    • Error Catalog
    • The Amount Object
    • Key Exchange Process
    • Test data
    • Card Information
      • Get BIN Info
      • Balance inquiries
      • BIN info V2
      • Request deferred options
    • One-time Payments
      • Single payment
    • Two-step Payments
      • Authorization and capture
    • Voids & Refunds
      • Void & Reverse
      • Refund a transaction
    • Query Transactions
      • Transaction Search
    • Webhooks
      • Introduction
      • Good Practices
      • Webhooks-Card Payments
      • Webhooks-Refunds
      • Check your webhooks
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • RequestBodies
      • one-and-two-step-payment
    • SubscriptionTransactionsResponse
    • Card
    • Channel
    • Amount-cash-in
    • ChargebackListResponse
    • SettlementDateRangeRequest
    • AmountWithTaxes
    • PrintJobRequest
    • card
    • SubscriptionTransaction
    • networkToken
    • ChargebackItem
    • SettlementTicketRequest
    • AmountCore
    • CommandText
    • amount
    • ErrorResponse
    • currency
    • webhooksItem
    • ErrorResponse400
    • SettlementResponse
    • ExtraTaxes
    • CommandColumns
    • extra_taxes
    • Amount
    • ErrorResponse401
    • SettlementRecord
    • ColumnItem
    • pos_details
    • extraTaxes
    • ErrorResponse403
    • TransactionResponse
    • CommandDivider
    • card_details
    • Deferred
    • Country
    • payment_method
    • ErrorResponse500
    • RawResponse
    • CommandFeed
    • enc_tlv
    • Metadata
    • CardData
    • CommandSpace
    • contact_details
    • ContactDetails
    • AmountWithTip
    • CommandCut
    • deferred
    • sub_merchant
    • documentType
    • Subscription
    • LinkFailure
    • CommandImage
    • metadata
    • orderDetails
    • Language
    • TransactionSearchRequest
    • CommandQR
    • Shipping Address
    • payment_submethod
    • CommandBarcode
    • Billing-Address
    • PrinterError
    • product
    • SubscriptionUpdate
    • PrintJobStatus
    • threeDomainSecure
    • SubscriptionAdjustmentRequest
    • PrintWebhookPayload
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • transactionType
    • ExternalReferenceId
    • ExternalSubscriptionId
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
  1. Card Payments

Make a charge or deferred charge

POST
/card/v1/charges

This functionality is available for the following models:#

☑ Acquirer
☑ Aggregator
Make a charge with a token provided by Kushki which represents the customer's credit card.

Deferred charges in Colombia 🇨🇴#

For Colombia 🇨🇴, deferred transactions vary depending on the affiliation model:

For Acquiring#

For deferred charges in Colombian merchants, you have to set the deferred object that includes the creditType, graceMonths, and months parameters.
In all countries, graceMonths must be sent with the value of 00.

Example: Credit Type 01 (Colombia's Standard Installments)#

  "deferred": {
    "graceMonths": "00",
    "creditType": "01",
    "months": 6
  }

For Aggregator model#

For deferred charges in Colombian merchants in aggregator model, you can send the number of installments in the months parameter.
"months": 3,

Important!#

In any case, you should consult the request deferred options method as these vary according to the BIN of the card.

Do you have your own 3DS authentication engine?*#

Make sure you include the threeDomainSecure object in your request.
* Applies in Colombia 🇨🇴.
Endpoint time out: 29 sec

Do you have your own subscriptions engine?*#

This functionality is available for the following models:#

☑ Acquirer
☐ Aggregator
* Applies in Colombia 🇨🇴.
In case you have your own subscriptions engine (only PCI Compliance merchants), you can follow the steps below to process recurring charges:
1.
Obtain a card token by sending initialRecurrence in the transactionMode parameter.
2.
Use the obtained token in step 1 to make an initial charge (see the example named Initial recurrence charge for subscriptions).
3.
Make sure you save the transactionReference number of the charge completed in step 2.
4.
For the subsequent transactions, obtain a card token by sending subsequentRecurrence in the transactionMode parameter.
5.
Make a charge by sending the transactionReference number in the initialRecurrenceReference field (see the example named Subsequent recurrence charge for subscriptions)

Request

Header Params

Body Params application/json

Examples

Responses

🟢201Created
application/json
Created
Bodyapplication/json

🟠400Bad Request
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api-uat.kushkipagos.com/card/v1/charges' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "token": "24e5cc0d47fc4b2ab098bdb7d0b94569",
    "amount": {
        "currency": "COP",
        "subtotalIva": 0,
        "subtotalIva0": 5000,
        "iva": 0,
        "ice": 0,
        "extraTaxes": {
            "iac": 0,
            "tasaAeroportuaria": 0,
            "agenciaDeViaje": 0
        }
    },
    "metadata": {
        "key0": "value0",
        "key1": "value1",
        "key2": "value2"
    },
    "fullResponse": "v2",
    "ignoreWarnings": true,
    "contactDetails": {
        "firstName": "John",
        "lastName": "Doe",
        "email": "user@example.com",
        "documentType": "CC",
        "documentNumber": "ABCD123456EF",
        "phoneNumber": "+573912345678"
    },
    "orderDetails": {
        "siteDomain": "example.com",
        "shippingDetails": {
            "name": "John Doe",
            "phone": "+573912345678",
            "address": "Centro 123",
            "city": "Bogotá",
            "region": "Cundinamarca",
            "country": "Colombia"
        },
        "billingDetails": {
            "name": "John Doe",
            "phone": "+573912345678",
            "address": "Centro 123",
            "city": "Bogotá",
            "region": "Cundinamarca",
            "country": "Colombia"
        }
    },
    "productDetails": {
        "product": [
            {
                "id": "198952AB",
                "title": "eBook Digital Services",
                "price": 15000,
                "sku": "10101042",
                "quantity": 1
            }
        ]
    },
    "threeDomainSecure": {
        "cavv": "AAABBoVBaZKAR3BkdkFpELpWIiE=",
        "eci": "07",
        "specificationVersion": "2.2.0",
        "acceptRisk": true
    }
}'
Response Response Example
201 - Without fullResponse
{
    "ticketNumber": "922513792073660814",
    "transactionReference": "6f16659e-b711-4995-a9ae-161aecbd6521"
}
Modified at 2026-07-28 14:56:13
Previous
Request a card token
Next
Create payment (tokenless)
Built with